package com.frist008.nixlibrary;

import android.database.Cursor;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v7.widget.RecyclerView;

import com.frist008.nixlibrary.recycler.CursorRecyclerAdapter;

@SuppressWarnings("unused")
public class LoaderRecyclerUtils {

	public static void changeCursor(@NonNull RecyclerView recyclerView, @Nullable Cursor cursor) {
		RecyclerView.Adapter adapter = recyclerView.getAdapter();

		if (adapter instanceof CursorRecyclerAdapter) {
			((CursorRecyclerAdapter) adapter).changeCursor(cursor);
		}
	}
}
